Name:		perl-IO-Socket-SSL
Version:	2.066
Release:	4
Summary:	Perl library for transparent SSL
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/IO-Socket-SSL
Source0:	https://cpan.metacpan.org/modules/by-module/IO/IO-Socket-SSL-%{version}.tar.gz

BuildArch:	noarch
#For Build
BuildRequires:	coreutils findutils make perl-generators perl-interpreter perl(ExtUtils::MakeMaker)
# For Runtime
BuildRequires:	openssl >= 0.9.8 perl(Carp) perl(Config) perl(constant) perl(Errno) perl(Exporter)
BuildRequires:	perl(HTTP::Tiny) perl(IO::Socket) perl(Net::SSLeay) >= 1.46
BuildRequires:	perl(Scalar::Util) perl(Socket) perl(strict) perl(vars) perl(warnings)
# For Test
BuildRequires:	perl(Data::Dumper) perl(File::Temp) perl(FindBin) perl(IO::Select)
BuildRequires:	perl(IO::Socket::INET) perl(Test::More) >= 0.88 perl(utf8) procps
BuildRequires:	perl(IO::Socket::IP) >= 0.20, perl(Socket) >= 1.95 perl(URI::_idna)

Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	openssl >= 0.9.8
Requires:	perl(Config)
Requires:	perl(HTTP::Tiny)
Requires:	perl(IO::Socket::IP) >= 0.20, perl(Socket) >= 1.95
Requires:	perl(URI::_idna)

%description
IO::Socket::SSL is a class implementing an object oriented
interface to SSL sockets. The class is a descendent of
IO::Socket::INET.

%package_help

%prep
%autosetup -n IO-Socket-SSL-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_NETWORK_TESTING=1 NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc BUGS Changes README docs/ example/
%dir %{perl_vendorlib}/IO/
%dir %{perl_vendorlib}/IO/Socket/
%doc %{perl_vendorlib}/IO/Socket/SSL.pod
%{perl_vendorlib}/IO/Socket/SSL.pm
%{perl_vendorlib}/IO/Socket/SSL/

%files help
%{_mandir}/man3/IO::Socket::SSL.3*
%{_mandir}/man3/IO::Socket::SSL::Intercept.3*
%{_mandir}/man3/IO::Socket::SSL::PublicSuffix.3*
%{_mandir}/man3/IO::Socket::SSL::Utils.3*

%changelog
* Tue Dec 31 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.066-4
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:delete unneeded patch

* Tue Oct 15 2019 shenyangyang <shenyangyang4@huawei.com> - 2.066-3
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:delete unneeded build requires

* Sat Oct 14 2019 shenyangyang <shenyangyang4@huawei.com> - 2.066-2
- Type: enhancement
- ID: NA
- SUG: NA
- DESC:delete the /certs that used by test which contains the Unencrypted
       private key

* Wed Sep 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.066-1
- Package init
